using System.ComponentModel.DataAnnotations;
namespace Domain.Entities
{
    public class ECustomer
    {
        public int Id { get; set; }
        [Required(ErrorMessage = "Debe ingresar un nombre.")]
        public string? Name { get; set; }
        [Required(ErrorMessage = "Debe ingresar una razon social.")]
        public string? BusinessName { get; set; }
        [Required(ErrorMessage = "Debe seleccionar un tipo de cuenta.")]
        public int? AccounttypesId { get; set; }
        [Required(ErrorMessage = "Debe seleccionar un condicion.")]
        public int? TaxConditionId { get; set; }
        public bool HasCreditAccount { get; set; }
        public decimal CreditLimit { get; set; }
        public bool Active { get; set; }
        public string? ExternalCode { get; set; }
        public virtual EAccountType? Accounttypes { get; set; }
        public virtual ICollection<ECustomerAddress> PhSCustomerAddresses { get; set; } = new List<ECustomerAddress>();
        public virtual ICollection<ECustomerDocument> PhSCustomerDocuments { get; set; } = new List<ECustomerDocument>();
    }
}
